Name:           pyroom
Version:        0.2.1
Release:        3%{?dist}
Summary:        PyRoom is a full screen text editor and a clone of Writeroom

Group:          Applications/Editors
License:        GPLv3+
URL:            http://pyroom.org/ 
Source0:        http://edge.launchpad.net/pyroom/0.2/0.2.1/+download/pyroom-0.2.1.tar.gz
Source1:        pyroom
Source2:        pyroom.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires: python 
Requires: pygtk2
Requires: gnome-python2-gtksourceview
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description

PyRoom is full-screen text editor, without buttons, menu, formatting, 
so you can  focus on writing, and only writing. It is written in 
Python + GTK. It is also a clone of Writeroom.

%prep
%setup -q
cp %{SOURCE1} .

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} %{buildroot}/%{_bindir}/
install -p pyroom %{buildroot}/%{_bindir}
%{__mkdir_p} %{buildroot}/%{_datadir}/%{name}/
install -pm 644 *.py %{buildroot}/%{_datadir}/%{name}/
%{__mkdir_p} %{buildroot}/%{_datadir}/%{name}/themes/
install -pm 644 themes/*.theme %{buildroot}/%{_datadir}/%{name}/themes/
install -pm 644 interface.glade  %{buildroot}/%{_datadir}/%{name}/

%{__mkdir_p} %{buildroot}/%{_datadir}/applications/
install -pm 644 %{SOURCE2} %{buildroot}/%{_datadir}/applications/

chmod 755 %{buildroot}/%{_datadir}/pyroom/pyroom.py
chmod 755 %{buildroot}/%{_datadir}/pyroom/status_label.py

for lang in ar ca cy da es fi fr_FR it pt pt_BR
   do
   dir=locale/$lang/LC_MESSAGES/
   %{__mkdir_p} $RPM_BUILD_ROOT%_datadir/$dir
   install -pm 644 $dir/%name.mo $RPM_BUILD_ROOT%_datadir/$dir
done


desktop-file-install --vendor=""    \
--dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/pyroom.desktop


%find_lang %{name}

 
%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README
%{_bindir}/pyroom
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop




%changelog

* Tue Jul 22 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.1-3
- add desktop file. fix permissions and source url

* Fri May 30 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.1-2
- review changes

* Thu May 29 2008 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.1-1
- initial review

